<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>HECK</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="canonical" href="https://heck.app/">
<link rel="stylesheet" href="/style.css">
<script>
function list_projects() {
	var applist = document.getElementById("heck-app-list");

	var xhr = new XMLHttpRequest();
	xhr.onload = function() {
		if (this.status == 200 && this.responseText != null) {
		    applist.innerHTML = "";
			var dl = document.createElement("dl");
			var projects = JSON.parse(this.responseText);
			for (var i in projects) {
				if (projects[i].name == "www.heck.app") {
					continue;
				}
				var a = document.createElement("a");
				a.href = "https://" + projects[i].name.toLowerCase() + ".heck.app/";
				a.innerHTML = projects[i].name;

				var dt = document.createElement("dt");
				dt.appendChild(a);

				var dd = document.createElement("dd");
				dd.innerHTML = projects[i].description;

				dl.appendChild(dt);
				dl.appendChild(dd);
			}
			applist.appendChild(dl);
		} else {
			applist.innerHTML = "Error retrieving list of apps.";
		}
	};
	xhr.open("GET", "https://gitlab.com/api/v4/groups/heck.app/projects");
	xhr.send();
}
</script>
</head>
<body onload="list_projects();">
<p>HECK is a collection of programs written in
<strong>H</strong>TML,
<strong>E</strong>CMAScript, and
<strong>C</strong>SS (with a
<strong>K</strong> tacked on just
for the heck of it).</p>

<p>The following programs are currently available:</p>

<div id="heck-app-list">Loading...</div>

</body>
</html>
